import re
from django.forms import DateInput, DateTimeInput, Form, CharField
from django.utils.translation import gettext_lazy as _

class CustomDateInput(DateInput):
    input_type = 'date'

    def format_value(self, value):
        return value

class CustomDateTimeInput(DateTimeInput):
    input_type = 'datetime-local'

    def format_value(self, value):
        return value

class FilterForm(Form):
    query = CharField(
        label=_('Query'),
        max_length=255,
        required=False,
        strip=True
    )
