# Generated by Django 4.1.3 on 2022-12-01 19:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('vkk', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='DepartmentCosts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('equivalents_per_hour', models.DecimalField(decimal_places=2, max_digits=8, verbose_name='full time equivalents per hour')),
            ],
            options={
                'verbose_name': 'department costs',
                'verbose_name_plural': 'department costs',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='DepartmentDate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(verbose_name='start date')),
            ],
            options={
                'verbose_name': 'department interval',
                'verbose_name_plural': 'department intervals',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='GeneralCosts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start', models.DateField(verbose_name='start date')),
                ('costs', models.DecimalField(decimal_places=2, max_digits=8, verbose_name='general costs')),
            ],
            options={
                'verbose_name': 'general costs',
                'verbose_name_plural': 'general costs',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ProjectFundedStaff',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hours', models.DecimalField(decimal_places=2, max_digits=8)),
            ],
            options={
                'verbose_name': 'project funded staff',
                'verbose_name_plural': 'project funded staff',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ProjectFundedStaffDate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(verbose_name='start date')),
            ],
            options={
                'verbose_name': 'project funded staff interval',
                'verbose_name_plural': 'project funded staff intervals',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Receipt',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start', models.DateField(verbose_name='start date')),
                ('end', models.DateField(verbose_name='end date')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='time booked')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'receipt',
                'verbose_name_plural': 'receipts',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ReceiptTemplate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start', models.DateField(verbose_name='start date')),
                ('data', models.JSONField()),
            ],
            options={
                'verbose_name': 'receipt template',
                'verbose_name_plural': 'receipt templates',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SalaryLevelCosts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('brutto_per_hour', models.DecimalField(decimal_places=2, max_digits=8, verbose_name='brutto staff costs per hour')),
            ],
            options={
                'verbose_name': 'salary level costs',
                'verbose_name_plural': 'salary level costs',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SalaryLevelDate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(verbose_name='start date')),
            ],
            options={
                'verbose_name': 'salary interval',
                'verbose_name_plural': 'salary intervals',
                'default_permissions': (),
            },
        ),
        migrations.AlterField(
            model_name='project',
            name='department',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='vkk.department', verbose_name='department'),
        ),
        migrations.AddConstraint(
            model_name='salaryleveldate',
            constraint=models.UniqueConstraint(fields=('date',), name='unique_constraint_salary_level_date'),
        ),
        migrations.AddField(
            model_name='salarylevelcosts',
            name='salary_level',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.salarylevel', verbose_name='salary level'),
        ),
        migrations.AddField(
            model_name='salarylevelcosts',
            name='start',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.salaryleveldate', verbose_name='start date'),
        ),
        migrations.AddConstraint(
            model_name='receipttemplate',
            constraint=models.UniqueConstraint(fields=('start',), name='unique_constraint_receipt_template_start'),
        ),
        migrations.AddField(
            model_name='receipt',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.project', verbose_name='project'),
        ),
        migrations.AddField(
            model_name='projectfundedstaffdate',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.project', verbose_name='project'),
        ),
        migrations.AddField(
            model_name='projectfundedstaff',
            name='salary_level',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.salarylevel', verbose_name='salary level'),
        ),
        migrations.AddField(
            model_name='projectfundedstaff',
            name='start',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.projectfundedstaffdate', verbose_name='start date'),
        ),
        migrations.AddConstraint(
            model_name='generalcosts',
            constraint=models.UniqueConstraint(fields=('start',), name='unique_constraint_general_costs'),
        ),
        migrations.AddConstraint(
            model_name='departmentdate',
            constraint=models.UniqueConstraint(fields=('date',), name='unique_constraint_department_date'),
        ),
        migrations.AddField(
            model_name='departmentcosts',
            name='department',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.department', verbose_name='department'),
        ),
        migrations.AddField(
            model_name='departmentcosts',
            name='start',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vkk.departmentdate', verbose_name='start date'),
        ),
        migrations.AddConstraint(
            model_name='salarylevelcosts',
            constraint=models.UniqueConstraint(fields=('salary_level', 'start'), name='unique_constraint_salary_level_costs'),
        ),
        migrations.AddConstraint(
            model_name='receipt',
            constraint=models.CheckConstraint(check=models.Q(('start__lte', models.F('end'))), name='interval_check_receipt'),
        ),
        migrations.AddConstraint(
            model_name='projectfundedstaffdate',
            constraint=models.UniqueConstraint(fields=('date', 'project'), name='unique_constraint_project_funded_staff_date'),
        ),
        migrations.AddConstraint(
            model_name='projectfundedstaff',
            constraint=models.UniqueConstraint(fields=('salary_level', 'start'), name='unique_constraint_project_funded_staff'),
        ),
        migrations.AddConstraint(
            model_name='departmentcosts',
            constraint=models.UniqueConstraint(fields=('department', 'start'), name='unique_constraint_department_costs'),
        ),
    ]
