from django.db import models
from django.utils.translation import gettext_lazy as _

# Create your models here.

class Announcement(models.Model):
    """A simple model to manage announcements on the website."""
    message = models.TextField(
        verbose_name=_('message'),
        help_text=_('Long messages may negativly impact overall website usabillity.')
    )
    is_active = models.BooleanField(
       verbose_name=_('active'),
       default=False
    )

    class Meta:
        verbose_name =_('announcement')
        verbose_name_plural = _('announcements')
        default_permissions = ()
