from django.contrib.auth.mixins import AccessMixin

class AccountantRequiredMixin(AccessMixin):
    """Verify that the current user has accountant rights."""
    def dispatch(self, request, *args, **kwargs):
        if (not request.user.is_authenticated or
        not request.user.is_accountant):
            return self.handle_no_permission()
        return super().dispatch(request, *args, **kwargs)