from vkk.workhours.accounting.views import (
    AccountingCreateView, AccountingListView
)
from vkk.workhours.models import ProjectFundedStaffDate, ProjectFundedStaff
from .forms import ProjectFundedStaffForm

class ProjectFundedStaffListView(AccountingListView):
    model = ProjectFundedStaffDate
    fields = ['date']
    ordering = ['date']

    def get_queryset(self):
        return super().get_queryset().filter(
            project__invoice_number=self.kwargs['invoice_number'],
        )

class ProjectFundedStaffCreateView(AccountingCreateView):
    model = ProjectFundedStaffDate
    form_class = ProjectFundedStaffForm

    def get_form_kwargs(self):
        kwargs = super().get_form_kwargs()
        kwargs.update({
            'invoice_number' : self.kwargs['invoice_number'],
        })
        return kwargs
