from django.urls import path
from django.utils.translation import gettext_lazy as _
from ..views import *
from vkk.workhours.models import SalaryLevel

model = {'model': SalaryLevel}
fields = {'fields': ['salary_code']}

app_name = 'salary-levels'
urlpatterns = [
    path(
        _('create/'),
        AccountingCreateView.as_view(**model, **fields),
        name='create'
    ),
    path(
        _('create/success/'),
        AccountingSuccessView.as_view(
            template_name='vkk/generic/create_success.html',
            **model
        ),
        name='create_success'
    ),
    path(
        _('<int:pk>/update/'),
        AccountingUpdateView.as_view(**model, **fields),
        name='update'
    ),
    path(
        _('update/success/'),
        AccountingSuccessView.as_view(
            template_name='vkk/generic/update_success.html',
            **model
        ),
        name='update_success'
    ),
    path(
        _('<int:pk>/delete/'),
        AccountingDeleteView.as_view(**model),
        name='delete'
    ),
    path(
        _('delete/success/'),
        AccountingSuccessView.as_view(
            template_name='vkk/generic/delete_success.html',
            **model
        ),
        name='delete_success'
    ),
    path(
        '',
        AccountingListView.as_view(
            **model,
            **fields,
            ordering='salary_code'
        ),
        name='default'
    ),
]