from django.urls import include, path
from django.utils.translation import gettext_lazy as _
from .views import *

app_name = 'contributor'
urlpatterns = [
    path(_('<int:assignment_pk>/period/'), PeriodRedirect.as_view(), name='period'),
    path(_('<int:assignment_pk>/period/<int:period_pk>/'), PeriodRedirect.as_view()),
    path(_('<int:assignment_pk>/period/<int:period_pk>/workhours/'), WorkhoursView.as_view(), name='calendar'),
    path(_('<int:assignment_pk>/period/<int:period_pk>/workhours/summary/'), SummaryView.as_view(), name='summary'),
    path(_('<int:assignment_pk>/period/<int:period_pk>/workhours/close/'), ClosureView.as_view(), name='closure'),
    path(_('<int:assignment_pk>/period/<int:period_pk>/workhours/close/done/'), ClosureSuccessView.as_view(), name='closure_success'),
]
