from django.forms import ModelForm, ModelChoiceField
from vkk.users.models import User
from vkk.workhours.models import SalaryLevel

class ProjectRegisterContributorForm(ModelForm):
    class Meta():
        model = User
        fields = ['email', 'first_name', 'last_name']
    
    salary_level = ModelChoiceField(
        queryset=SalaryLevel.objects.all(),
        required=True
    )

    def save(self, commit=True):
        self.instance.set_unusable_password()
        return super().save(commit)