from django.views.generic import TemplateView
from django.utils import timezone
from django.contrib.auth.mixins import LoginRequiredMixin

class OverView(LoginRequiredMixin, TemplateView):
    template_name = 'vkk/workhours/overview.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['assignments'] = self.request.user.projectassignment_set.only(
            'project'
        ).select_related('project')
        context['managed'] = self.request.user.projectmanager_set.only(
            'project'
        ).filter(
            end__gte=timezone.now().date()
        ).select_related('project')
        return context
