# /bin/sh

PASSPHRASE=$(python3 -c "import secrets; print(secrets.token_urlsafe())")
echo $PASSPHRASE
export PASSPHRASE

mkdir ./scripts/ca

./scripts/ca.sh
./scripts/db.sh
./scripts/web.sh
./scripts/proxy.sh
./scripts/vkk.medizin.uni-halle.de.sh

rm -rf ./scripts/ca

SECRET_KEY=$(python3 -c "import secrets; print(secrets.token_urlsafe(64))")

echo "Creating environment variables"

echo "DEBUG=0
SECRET_KEY=${SECRET_KEY}
DJANGO_ALLOWED_HOSTS=localhost vkk.medizin.uni-halle.de
SQL_ENGINE=django.db.backends.postgresql
SQL_HOST=db
SQL_PORT=5432
DATABASE=postgres" > ./.env.prod

POSTGRES_USER=$(python3 -c "import secrets
import string
alph = string.ascii_lowercase+string.ascii_uppercase
print(''.join(secrets.choice(alph) for i in range(16)))")
POSTGRES_PASSWORD=$(python3 -c "import secrets; print(secrets.token_urlsafe())")

echo "POSTGRES_USER=${POSTGRES_USER}
POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
POSTGRES_DB=vkk_medizin" > ./.env.prod.db

SQL_USER=$(python3 -c "import secrets
import string
alph = string.ascii_lowercase+string.ascii_uppercase
print(''.join(secrets.choice(alph) for i in range(16)))")
SQL_PASSWORD=$(python3 -c "import secrets; print(secrets.token_urlsafe())")

echo "SQL_DATABASE=vkk_medizin
SQL_USER=${SQL_USER}
SQL_PASSWORD=${SQL_PASSWORD}" > ./.env.prod.dbuser