#!/bin/sh
set -e

# Hardening pg_hba.conf
mv /var/lib/postgresql/data/pg_hba.conf /var/lib/postgresql/data/pg_hba.conf.old
sed "/^[[:alnum:]]/s/^/# /" < /var/lib/postgresql/data/pg_hba.conf.old > /var/lib/postgresql/data/pg_hba.conf
echo "
# TYPE  DATABASE           USER              ADDRESS             METHOD
local   all                $POSTGRES_USER                        scram-sha-256
hostssl    $SQL_DATABASE      $SQL_USER         all                 scram-sha-256
" >> /var/lib/postgresql/data/pg_hba.conf

# Hardening postgresql.conf
sed -i "s/^.*listen_addresses = .*/listen_addresses = 'db, web'/" /var/lib/postgresql/data/postgresql.conf

sed -i "s/^.*ssl = .*/ssl = on/" /var/lib/postgresql/data/postgresql.conf
sed -i "s/^.*ssl_cert_file = .*/ssl_cert_file = '\/etc\/ssl\/db.crt'/" /var/lib/postgresql/data/postgresql.conf
sed -i "s/^.*ssl_key_file = .*/ssl_key_file = '\/etc\/ssl\/db.key'/" /var/lib/postgresql/data/postgresql.conf
sed -i "s/^.*ssl_min_protocol_version = .*/ssl_min_protocol_version = 'TLSv1.3'/" /var/lib/postgresql/data/postgresql.conf
