#! /bin/sh

mkdir ./nginx/ssl/

echo "REVERSE-PROXY: Create a RSA key"
openssl genrsa -out ./nginx/ssl/vkk.medizin.uni-halle.de.key 4096

echo "REVERSE-PROXY: Create a Certificate Signing Request (CSR)"
openssl req -new -sha256 -subj "/CN=vkk" -key ./nginx/ssl/vkk.medizin.uni-halle.de.key -out ./nginx/ssl/cert.csr

echo "REVERSE-PROXY: Create a extfile with all the alternative names"
echo "subjectAltName=DNS:localhost, DNS:vkk.medizin.uni-halle.de" > ./nginx/ssl/extfile.cnf

echo "REVERSE-PROXY: Create the certificate"
openssl x509 -req -sha256 -days 3650 -passin env:PASSPHRASE -in ./nginx/ssl/cert.csr -CA ./scripts/ca/ca.pem -CAkey ./scripts/ca/ca-key.pem -out ./nginx/ssl/vkk.medizin.uni-halle.de.crt -extfile ./nginx/ssl/extfile.cnf -CAcreateserial

echo "REVERSE-PROXY: Cleanup"
rm ./nginx/ssl/cert.csr
rm ./nginx/ssl/extfile.cnf